- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoArchiveUpdater< EOT > Class Template Reference

This class allows to update the archive at each generation with newly found non-dominated solutions. More...

`#include <moeoArchiveUpdater.h>`

Inheritance diagram for moeoArchiveUpdater< EOT >:

List of all members.

## Public Member Functions
| moeoArchiveUpdater (moeoArchive< EOT > &_arch, const eoPop< EOT > &_pop)
| Ctor.
void | operator() ()
| Updates the archive with newly found non-dominated solutions contained in the main population.
## Private Attributes
moeoArchive< EOT > & | arch
| the archive of non-dominated solutions
const eoPop< EOT > & | pop
| the main population

## Detailed Description

### template<class EOT>
class moeoArchiveUpdater< EOT >

This class allows to update the archive at each generation with newly found non-dominated solutions.

Definition at line 23 of file moeoArchiveUpdater.h.

## Constructor & Destructor Documentation

template<class EOT>
moeoArchiveUpdater< EOT >::moeoArchiveUpdater | ( | moeoArchive< EOT > & | _arch,
|  | const eoPop< EOT > & | _pop
| ) | `[inline]`

  | Ctor. Parameters:
  | _arch | an archive of non-dominated solutions
  | _pop | the main population
Definition at line 32 of file moeoArchiveUpdater.h.

The documentation for this class was generated from the following file:

- moeoArchiveUpdater.h